﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace WcfService1
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IService1" in both code and config file together.
    [ServiceContract]
    public interface IService1
    {

        [OperationContract]
        string GetData(int value);

        [OperationContract]
        CompositeType GetDataUsingDataContract(CompositeType composite);

        [OperationContract]
        string NewValue(NewName name);
        // TODO: Add your service operations here
    }

    [DataContract]
    public class SecondName
    {
        int svalue1;
        int svalue2;

        [DataMember]
        public int Svalue1
        {
            get { return svalue1; }
            set { svalue1 = value; }
        }

        [DataMember]
        public int Svalue2
        {
            get { return svalue2; }
            set { svalue2 = value; }
        }
    }

    [DataContract]
    public class NewName
    {
        SecondName secondValue = new SecondName();

        [DataMember]
        public SecondName SecondValue
        {
            get { return secondValue; }
            set { secondValue = value; }
        }
        //        public int value1;
        //        public int value2;
    }

    // Use a data contract as illustrated in the sample below to add composite types to service operations.
    [DataContract]
    public class CompositeType
    {
        bool boolValue = true;
        string stringValue = "Hello ";

        [DataMember]
        public bool BoolValue
        {
            get { return boolValue; }
            set { boolValue = value; }
        }

        [DataMember]
        public string StringValue
        {
            get { return stringValue; }
            set { stringValue = value; }
        }
    }
}
